Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::GLSLLinkProgram::UniformReference Struct Reference

structure used to keep track of named uniforms in the linked program object More...

List of all members.

## Public Attributes

String | mName
GLenum | mType
GLint | mLocation
bool | isReal
GLsizei | mElementCount

## Detailed Description

structure used to keep track of named uniforms in the linked program object

Definition at line 41 of file OgreGLSLLinkProgram.h.

## Member Data Documentation

bool Ogre::GLSLLinkProgram::UniformReference::isReal

| Definition at line 46 of file OgreGLSLLinkProgram.h. Referenced by Ogre::GLSLLinkProgram::buildUniformReferences().

GLsizei Ogre::GLSLLinkProgram::UniformReference::mElementCount

| Definition at line 47 of file OgreGLSLLinkProgram.h. Referenced by Ogre::GLSLLinkProgram::buildUniformReferences().

GLint Ogre::GLSLLinkProgram::UniformReference::mLocation

| Definition at line 45 of file OgreGLSLLinkProgram.h. Referenced by Ogre::GLSLLinkProgram::buildUniformReferences().

String Ogre::GLSLLinkProgram::UniformReference::mName

| Definition at line 43 of file OgreGLSLLinkProgram.h. Referenced by Ogre::GLSLLinkProgram::buildUniformReferences().

GLenum Ogre::GLSLLinkProgram::UniformReference::mType

| Definition at line 44 of file OgreGLSLLinkProgram.h. Referenced by Ogre::GLSLLinkProgram::buildUniformReferences().

The documentation for this struct was generated from the following file:

- OgreGLSLLinkProgram.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:30 2004